{
    "criteria": {
      ".": {
        "trigger": "minecraft:using_item",
        "conditions": {
          "item": {
            "components": {
              "minecraft:custom_data": "{fireball:1b}"
            }
          }
        }
      }
    },
    "requirements": [
      [
        "."
      ]
    ],
    "rewards": {
      "function": "subchronos:game/items/fireball/use"
    },
    "sends_telemetry_event": false
  }